Subject: bug#25802: Unable to run dovecot w/ non-opaque configuration

From: Clément Lassieur <[email-masked]>
Date: Sun, 23 Apr 2017 02:01:04 +0200

Clément Lassieur <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> writes:
>
>> Hi Bake,
>>
>> Bake Timmons <[email-masked]> skribis:
>>
>>> Trying to reconfigure my system running guix 0.12.0 for dovecot with
>>> the default configuration object created by '(dovecot-configuration)'
>>> results in:
>>>
>>> guix system: error: exception thrown: #<condition %compound [message: "Invalid value for field path: \"lmtp\""] 4a6a140>
>>>
>>> Adding a services list to the above works around the above error and
>>> allows 'guix system reconfigure' to complete successfully.  However,
>>> the generated dovecot.conf is rejected by doveconf:
>>>
>>> doveconf: Error in configuration file /gnu/store...dove.cot.conf line 1: Expecting '{'
>>>
>>>>>From my limited acquaintance with dovecot, the guix-generated syntax of, say,
>>> ImapMaxLineLength 64000
>>>
>>> disagrees with what I gather to be the normal dovecot.conf syntax of
>>> imap_max_line_length = 64000
>>
>> Clément, Andy: WDYT?  :-)
>>
>> I suspect commit 56aef188a2a014e254d3c93c8a79cd1fb5a1ece6 by Clément
>> might have fixed the syntax issue reported here.
>
> Indeed this has been fixed, I'm closing the bug.  Bake, if you still
> reproduce after making sure you're up-to-date, do not hesitate to
> re-open. :)

Actually, there were two bugs.  The "lmtp" one has been fixed by commit
eba560765a5afccbc5d3b64df410d89b1f79a18e.